Adding upstream version 0.3.0+svn20091218.
[debian/lxappearance.git] / configure.in
index d85a7d5..5afd991 100644 (file)
@@ -1,10 +1,13 @@
 dnl Process this file with autoconf to produce a configure script.
 
 AC_INIT(configure.in)
-AM_INIT_AUTOMAKE(lxappearance, 0.2.1)
+AM_INIT_AUTOMAKE(lxappearance, 0.3.0)
 AM_CONFIG_HEADER(config.h)
 AM_MAINTAINER_MODE
 
+# Init intltool
+IT_PROG_INTLTOOL
+
 AC_ISC_POSIX
 AC_PROG_CC
 AM_PROG_CC_STDC
@@ -17,7 +20,12 @@ AC_ARG_ENABLE(man,
        [enable_man=no]
 )
 
-pkg_modules="gtk+-2.0 >= 2.0.0"
+AC_DEFINE([CURSOR_THEME],0,[Cursor theme support is not well implemented])
+AC_ARG_ENABLE(cursor-theme,[],
+       AC_DEFINE([CURSOR_THEME],1)
+)
+
+pkg_modules="gtk+-2.0 >= 2.12.0"
 PKG_CHECK_MODULES(PACKAGE, [$pkg_modules])
 AC_SUBST(PACKAGE_CFLAGS)
 AC_SUBST(PACKAGE_LIBS)
@@ -27,7 +35,7 @@ AC_SUBST(GETTEXT_PACKAGE)
 AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [Gettext package.])
 
 dnl Add the languages which your application supports here.
-ALL_LINGUAS="af ar cs da de es et eu fa fi fr gl hr hu id it ja ko lt ml ms nb nl nn pl ps pt pt_BR ru sk sl sv tr uk ur ur_PK vi zh_CN zh_TW"
+ALL_LINGUAS="af ar be@latin bg bn bn_IN ca cs da de dz el en_GB es et eu fa fi fr frp gl gu he hr hu id it ja ka ko lt mk ml ms nb nl nn oc pa pl ps pt pt_BR ru sk sl sr sr@Latn sv ta th tr uk ur ur_PK vi zh_CN zh_TW"
 AM_GLIB_GNU_GETTEXT
 
 if test x"$enable_man" = x"yes"; then